Loading...
Searching...
No Matches
Opm::RegulaFalsi< ErrorPolicy > Class Template Reference

## Static Public Member Functions

template<class Functor>
static double | solve (const Functor &f, const double a, const double b, const int max_iter, const double tolerance, int &iterations_used)
| Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.
template<class Functor>
static double | solve (const Functor &f, const double initial_guess, const double a, const double b, const int max_iter, const double tolerance, int &iterations_used)
| Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.

## Member Function Documentation

## solve() [1/2]

template<class ErrorPolicy = ThrowOnError>
template<class Functor>

double Opm::RegulaFalsi< ErrorPolicy >::solve | ( | const Functor & | f,
|  | const double | a,
|  | const double | b,
|  | const int | max_iter,
|  | const double | tolerance,
|  | int & | iterations_used )

inline static

Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.

A. Ford. Current variant is the 'Pegasus' method.

## solve() [2/2]

template<class ErrorPolicy = ThrowOnError>
template<class Functor>

double Opm::RegulaFalsi< ErrorPolicy >::solve | ( | const Functor & | f,
|  | const double | initial_guess,
|  | const double | a,
|  | const double | b,
|  | const int | max_iter,
|  | const double | tolerance,
|  | int & | iterations_used )

inline static

Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.

A. Ford. Current variant is the 'Pegasus' method. This version takes an extra parameter for the initial guess.

The documentation for this class was generated from the following file:

- opm/common/utility/numeric/RootFinders.hpp